diff -r eeca1427ce51 code/nelns/CMakeModules/FindMySQL.cmake
--- a/code/nelns/CMakeModules/FindMySQL.cmake	Fri May 07 10:10:55 2010 +0200
+++ b/code/nelns/CMakeModules/FindMySQL.cmake	Mon May 10 15:50:44 2010 +0200
@@ -18,6 +18,7 @@
   FIND_PATH(MYSQL_INCLUDE_DIR mysql.h
       /usr/include/mysql
       /usr/local/include/mysql
+      /opt/local/include/mysql5/mysql
       $ENV{ProgramFiles}/MySQL/*/include
       $ENV{SystemDrive}/MySQL/*/include)
 
@@ -33,6 +34,7 @@
       /usr/local/lib
       /usr/lib/mysql
       /usr/local/lib/mysql
+      /opt/local/lib/mysql5/mysql
       )
   ENDIF(WIN32 AND MSVC)
 
diff -r eeca1427ce51 code/nelns/CMakeModules/nel.cmake
--- a/code/nelns/CMakeModules/nel.cmake	Fri May 07 10:10:55 2010 +0200
+++ b/code/nelns/CMakeModules/nel.cmake	Mon May 10 15:50:44 2010 +0200
@@ -102,7 +102,10 @@
     IF(WITH_COVERAGE)
       SET(PLATFORM_CFLAGS "-fprofile-arcs -ftest-coverage ${PLATFORM_CFLAGS}")
     ENDIF(WITH_COVERAGE)
-    SET(PLATFORM_LINKFLAGS "${CMAKE_THREAD_LIBS_INIT} -lc -lm -lstdc++ -lrt")
+    SET(PLATFORM_LINKFLAGS "${CMAKE_THREAD_LIBS_INIT} -lc -lm -lstdc++")
+    IF(NOT APPLE)
+      SET(PLATFORM_LINKFLAGS "${PLATFORM_LINKFLAGS} -lrt")
+    ENDIF(NOT APPLE)
     SET(NL_DEBUG_CFLAGS "-DNL_DEBUG -g")
     SET(NL_RELEASE_CFLAGS "-DNL_RELEASE -O6")
     SET(NL_RELEASEDEBUG_CFLAGS "-DNL_RELEASE_DEBUG -g -finline-functions -O3 ")
